Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core.util
Class PropertiesStore<ELEMENT extends PropertiesStore.StorableElement,OBSERVER extends ECPObserver>

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.emf.ecp.internal.core.util.Registry<ELEMENT,OBSERVER>
                  org.eclipse.emf.ecp.internal.core.util.ElementRegistry<ELEMENT,OBSERVER>
                      org.eclipse.emf.ecp.internal.core.util.PropertiesStore<ELEMENT,OBSERVER>

Type Parameters:
  `ELEMENT` -
  `OBSERVER` -

All Implemented Interfaces:
  ECPDisposable.DisposeListener, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation

Direct Known Subclasses:
  ECPProjectManagerImpl, ECPRepositoryManagerImpl

    public abstract class PropertiesStore<ELEMENT extends PropertiesStore.StorableElement,OBSERVER extends ECPObserver>

extends ElementRegistry<ELEMENT,OBSERVER>

Author:
  Eike Stepper

Nested Class Summary
`static interface` | `PropertiesStore.StorableElement`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Field Summary

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Constructor Summary
`PropertiesStore()` Default constructor.

Method Summary
`File` | `getFolder()`
`void` | `setFolder(File folder)`
`void` | `storeElement(ELEMENT element)`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.ElementRegistry
`addResolveListener, removeResolveListener`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Registry
`addObserver, changeElements, disposed, getElement, getElementCount, getElementNames, getElements, hasElement, hasElements, removeObserver`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, deactivate, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, fireEvent, fireEvent, getListeners, hasListeners, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, getListeners, hasListeners, removeListener`

Constructor Detail

### PropertiesStore

    public PropertiesStore()

  Default constructor.

Method Detail

### getFolder

    public final File getFolder()

  Returns:
    The folder, where this property store stores its properties as a `File`

### setFolder

    public final void setFolder(File folder)

### storeElement

    public void storeElement(ELEMENT element)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.